mfont_set_encoding(3m17n)

NAME
mfont_set_encoding - Set encoding of a font.

SYNOPSIS
int mfont_set_encoding (MFont * font, MSymbol encoding_name, MSymbol repertory_name)

DESCRIPTION
Set encoding of a font.

The mfont_set_encoding() function sets the encoding information of font font.

encoding_name is a symbol representing a charset that has the same encoding as the font.

repertory_name is Mnil or a symbol representing a charset that has the same repertory as the font. If it is Mnil, whether a specific character is supported by the font is asked to each font driver.

RETURN VALUE

    If the operation was successful, this function returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.